Bug 49603 - getaddrinfo drops some ipv4 addresses when multiple addrs present
Summary: getaddrinfo drops some ipv4 addresses when multiple addrs present
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-21 11:42 UTC by Need Real Name
Modified: 2016-11-24 15:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-21 11:50:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test case for getaddrinfo(raeburn.org) (635 bytes, text/plain)
2001-07-21 11:50 UTC, Need Real Name
no flags Details

Description Need Real Name 2001-07-21 11:42:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5 i686)

Description of problem:
I'm calling getaddrinfo on a hostname (raeburn.org) for which there are two
IPv6 and two IPv4 addresses.  Printing out the returned addresses shows me
two IPv6 addrs and one IPv4.  (glibc-2.2.2-10)  Same program on Debian
"testing" (libc6-2.2.3-5) shows all four addresses, as does "nslookup
-type=any raeburn.org" on the Red Hat host.

How reproducible:
Always

Steps to Reproduce:
1. try sample program, which looks up my host, raeburn.org
2.
3.
	

Actual Results:  rh71% ./foo 
family 10
family 10
address 18.101.0.225


Expected Results:  debian% ./foo 
family 10
family 10
address 208.59.178.68
address 18.101.0.225


Additional info:

Comment 1 Need Real Name 2001-07-21 11:50:55 UTC
Created attachment 24407 [details]
test case for getaddrinfo(raeburn.org)

Comment 2 Jakub Jelinek 2001-07-22 18:51:13 UTC
I've tried e.g. glibc-2.2.3-1[123] and it works there too.


Note You need to log in before you can comment on or make changes to this bug.